Compatibility Requirements

Supported Browsers

Our publication platform is compatible with several browsers on various operating systems.

The following browsers are officially supported:

  • Firefox 3.x-20.x (Windows, Mac, Linux)
  • Internet Explorer 8.x-10.x (Windows)
  • Internet Explorer 7.x (Windows)[1]
  • Safari 4.x-6.x (Windows, Mac)
  • Chrome 2.x-23.x (Windows, Mac, Linux)

Although we do not officially support the browsers listed below, they have been reported to work with our publication platform:

  • Camino 1.6.x (Mac)
  • Konqueror 4.2.x (Linux)
  • Opera 9+[2]

Using older browsers, non-compatible browsers or disabling browser features, such as Javascript, Flash, cookies and SSL, may reduce platform functionality.

Internet Connection

A broadband connection is required to view our digital editions. Due to the nature of our digital publishing platform, dial-up connections simply do not have enough bandwidth to achieve a satisfactory reader experience.

Adobe Flash

The Adobe Flash Player plugin (version 8 or higher) must be installed for your particular browser to view the Flash version of the publication platform.

Firewall/Proxies

If you are accessing our website through a firewall or proxy, check with your network administrator to determine if cookies are permitted. Also if you are using a proxy (depending on your settings) you may not always be viewing the most current version of the publication platform.

Pop-Up Blockers

If you have a pop-up blocker installed, it may also prevent some functionality on the publication platform.

Display Resolution

Our viewer requires a MINIMUM resolution of 1024×768. Higher resolutions are supported and recommended.